/********************************************************************************
 * Copyright (c) 2019 TypeFox and others
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
/// <reference types="node" />
import * as fs from 'fs';
import * as tmp from 'tmp';
import * as http from 'http';
export { promisify } from 'util';
export declare function matchExtensionId(id: string): RegExpExecArray | null;
export declare function optionalStat(path: fs.PathLike): Promise<fs.Stats | undefined>;
export declare function makeDirs(path: fs.PathLike): Promise<void>;
export declare function createTempFile(options: tmp.TmpNameOptions): Promise<string>;
export declare function handleError(debug?: boolean): (reason: any) => void;
export declare function statusError(response: http.IncomingMessage): Error;
